  <div id="transp">
    <div id="elog">
      <a title="Top Musicas" href="/top/">
        <div id="logo"></div>
      </a>
      <div id="bus">
      <div id="bu1">
        <div id="x3">
            <form method="get" action="<?= $root ?>/search.php" name="qy">
                <div id="bux">
                    <input type="text" name="q" id="sfrm" placeholder="Buscar canción o artista" autocomplete="off"/>
                </div>
                <div id="hbu">
                    <input type="image" name="sa" src="<?= $root ?>/img/bsc.png" alt="Buscar" />
                </div>
				<div id="busc-results" class="busc-results scroling"></div>
            </form>
        </div>
    </div>
      </div>
      <div id="tow">
        <div id="vemp3">
          <a href="<?= $root ?>/" title="Inicio">INICIO</a>
          <a href="<?= $root ?>/top/" title="TOP MÚSICA">TOP MÚSICA</a>
          <a href="<?= $root ?>/generos/" title="GÉNEROS">GÉNEROS</a>
          <a href="<?= $root ?>/biografias/" title="BIOGRAFÍAS">BIOGRAFÍAS</a>
		  <a class="sugieree" href="https://sugerencias.maxmusicas.com/sugerencias/" rel="nofollow" target="_blank" onclick="window.open('https://sugerencias.maxmusicas.com/sugerencias/', 'Sugerencias', 'width=400,height=620'); return false;">Sugerir ✉</a>

         </div>
      </div>
    </div>
  </div>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
        <script>
        $(document).ready(function(){
            $('#sfrm').on('input', function(){
                var query = $(this).val();
                if(query.length > 2) {
                    $.ajax({
                        url: '/includes/search_autocomplete.php',
                        method: 'GET',
                        data: {query: query},
                        success: function(data) {
                            $('#busc-results').html(data).show();
                        }
                    });
                } else {
                    $('#busc-results').hide();
                }
            });

            // Hide the result list if the user clicks outside
            $(document).on('click', function(e) {
                if (!$(e.target).closest('#bux').length) {
                    $('#busc-results').hide();
                }
            });

            // Redirigir al hacer clic en un elemento de la lista
            $(document).on('click', '.busc-results li', function(){
                var artistLink = $(this).data('link'); // Obtener el enlace de la biografía del atributo data-link
                window.location.href = artistLink; // Redirigir a la biografía
            });
        });
        </script>